# Class RasterService

#### Hierarchy

- RasterService

- Defined in src/raster/RasterService.js:37

#####
Index

### Properties

$http_
url_

### Methods

getRaster

## Properties

### $http_

$http_: IHttpService

- Defined in src/raster/RasterService.js:41

### url_

url_: string

- Defined in src/raster/RasterService.js:46

## Methods

### getRaster

- getRaster(coordinate: Coordinate, opt_params?: Object): IPromise<Object>

- ### Returns

  Promise.

  #### Parameters

  - ##### coordinate: Coordinate

    Coordinate.

  - ##### `Optional` opt_params: Object

    Optional parameters for the request.

  #### Returns IPromise<Object>

  - Defined in src/raster/RasterService.js:63

Generated using TypeDoc